## brebis 0.10

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/brebis.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/brebis.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/brebis"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/brebis"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## brebis 0.9

=== debian/changelog ===
brebis (0.9-2) unstable; urgency=medium

  * Team upload
  * Don't use a python3.x shebang. Thanks Matthias Klose. Closes: #739884

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 15 Apr 2014 09:24:24 +1000

brebis (0.9-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - bump Standards-Version to 3.9.5

 -- Carl Chenet <chaica@debian.org>  Thu, 26 Dec 2013 17:37:47 +0100

brebis (0.8-1) unstable; urgency=low

  * New upstream release

 -- Carl Chenet <chaica@debian.org>  Fri, 08 Nov 2013 17:14:01 +0100

brebis (0.7-1) unstable; urgency=low

  * New upstream release

 -- Carl Chenet <chaica@debian.org>  Tue, 15 Oct 2013 22:30:20 +0200

brebis (0.5-1) unstable; urgency=low

  * Initial release. (Closes: #642655)

 -- Carl Chenet <chaica@debian.org>  Fri, 19 Jul 2013 00:36:50 +0100

=== debian/control ===
Source: brebis
Priority: optional
Section: python
Maintainer: Carl Chenet <chaica@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python3-all
X-Python3-Version: >= 3.3
Standards-Version: 3.9.5
Homepage: http://www.brebisproject.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/brebis/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/brebis/trunk/

Package: brebis
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: fully automated backup checker
 Brebis parses backups (archives and file tree) to perform
 several different checks in order to verify your backup integrity
 and its associated content.

## brebis 0.10

=== debian/changelog ===
brebis (0.10-4) unstable; urgency=medium

  * Team upload.
  * Add explicit build-dependency on python3-setuptools (Closes: #1080555)
  * Clean better (Closes: #1043715)
  * Swith to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Thu, 06 Feb 2025 23:08:56 +0100

brebis (0.10-3) unstable; urgency=medium

  * Team upload.
  * Remove buggy check for python version. (Closes: #1002414)
  * Set the Debian Python team as maintainer with Carl's permission.
  * Drop unnecessary build-depend on dh-sequence-python3.
  * Update Standards-Version to 4.6.1, no changes needed.

 -- Emanuele Rocca <ema@debian.org>  Thu, 01 Sep 2022 16:32:39 +0200

brebis (0.10-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Add missing build dependency on dh addon; Closes: #952354
  * Bump debhelper from deprecated 9 to 12.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/control
    - set Section to admin; Closes: #832190

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Sep 2021 20:42:59 -0400

brebis (0.10-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - bump Standards-Version to 3.9.6.1
    - bump X-Python3-Version to 3.4

 -- Carl Chenet <chaica@debian.org>  Fri, 06 Feb 2015 17:29:22 +0100

=== debian/control ===
Source: brebis
Priority: optional
Section: admin
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carl Chenet <chaica@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: http://www.brebisproject.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/brebis.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/brebis

Package: brebis
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: fully automated backup checker
 Brebis parses backups (archives and file tree) to perform
 several different checks in order to verify your backup integrity
 and its associated content.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	set -ex; for py in $(PYTHON3) ; do \
		python$$py setup.py build; \
	done

override_dh_auto_install:
	set -ex; for py in $(PYTHON3) ; do \
		python$$py setup.py install --skip-build \
		                            --root=$(CURDIR)/debian/tmp \
		                            --install-layout=deb; \
	done

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

execute_after_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=4
http://brebisproject.org/projects/brebis/files /attachments/download/(.*)/brebis-(.*)\.tar\.gz
